<template>
  <div id="app">

    <!--合計値 表示-->
    <p class="total">合計{{ sum }}円</p>

    <!--計算表-->
    <table class="total2">
      <tr v-for="item in items" :key="item.value">
        <td>{{ item.value }}円</td>
        <td>
          <input type="number" v-model="item.num" />
        </td>
      </tr>
    </table>

    <button 
    class="btn btn-primary" 
    style="margin-top: 10px" 
    @click="onClick">

    テキストファイル 出力

    </button>
  </div>
</template>

<script>
export default {
  data() {
    return {

      /*
      map関数で配列を生成して
      配列の要素分、テキストボックスを表示させる
      */
      items: [1, 5, 10, 50, 100, 500, 1000, 2000, 5000, 10000].map((value) => ({
        num: 0,
        value,
      })),

    };
  },

  //計算結果
  computed: {
    sum() {
      return this.items
        .map((item) => item.num * item.value)
        .reduce((result, price) => result + price, 0);
    },
  },

  //テキストファイル出力
  methods: {
    onClick() {
      let blob = new Blob(["合計金額" - +this.sum + "円"], {
        type: "text/plan",
      });
      let link = document.createElement("a");
      link.href = URL.createObjectURL(blob);
      link.download = "作ったファイル.txt";
      link.click();
    },
  },
};
</script>

